//we need the jeep add-on for this, so force it to load
%error = ForceRequiredAddOn("Vehicle_Jeep");

if(%error == $Error::AddOn_Disabled)
{
   //A bit of a hack:
   //  we just forced the jeep to load, but the user had it disabled
   //  so lets make it so they can't select it
   JeepVehicle.uiName = "";
}

if(%error == $Error::AddOn_NotFound)
{
   //we don't have the jeep, so we're screwed
   error("ERROR: Vehicle_SemiTractor - required add-on Vehicle_Jeep not found");
}
else
{
	exec("./Vehicle_SemiTractor.cs");
	exec("./Vehicle_SemiTractorDump.cs");
	exec("./Vehicle_SemiTractorDumpFull.cs");
	exec("./Vehicle_SemiTractorSnowPlow.cs");
	exec("./Vehicle_SemiTractorCement.cs");
	exec("./Vehicle_SemiTractorTanker.cs");
	exec("./Vehicle_SemiTractorGarbage.cs");
	exec("./Vehicle_SemiTractorContainer.cs");
	exec("./SemiTractor_Tire.cs");
	exec("./SemiTractor_Explosion.cs");
	exec("./SemiTractor_FinalExplosion.cs");
	exec("./SemiTractor_Spring.cs");   
}